Subject: bug#49239: Unexpected results with sort -V

From: Kamil Dudka <[email-masked]>
Date: Mon, 28 Jun 2021 19:54:25 +0200

On Monday, June 28, 2021 6:52:14 PM CEST Michael Debertol wrote:
> I was trying to say that the regex is not followed in two cases:
> 
> - when there are two dots followed by [A-Za-z~], the second dot should
> be matched, but it is not.
> 
> An example is "foo..a": In this case ".a" should be matched, but it is
> not (nothing is matched)
> 
> - when there's a trailing dot, the trailing dot is matched even though
> it is not followed by anything
> 
> e.g. "foo." matches the "." as the file ending, but it should not match
> a file ending in this case.
> 
> I hope it's clearer now,
> 
> Michael

You are right.  The matching algorithm was not implemented correctly and
the patch you attached fixes it.  Sorry for missing it in my previous reply.

Kamil